### Method

# GtkSource AnnotationProvider remove_annotation

since: 5.18

#### Declaration [src]

    gboolean
    gtk_source_annotation_provider_remove_annotation (
      GtkSourceAnnotationProvider* self,
      GtkSourceAnnotation* annotation
    )

#### Description [src]

Remove an annotation from the provider.

Available since: 5.18

#### Parameters

`annotation`

  Type: `GtkSourceAnnotation`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the annotation was found and removed.